import { Actions } from '@ngrx/effects';
import { DataPersistence } from '@nrwl/nx';
import { Observable } from 'rxjs';
import { ContractsActions } from './contracts.actions';
import { ContractService } from '../contract.service';
import { ContractsState } from './contracts.reducer';
interface AppState {
    contracts: ContractsState;
}
export declare class ContractsEffects {
    private actions$;
    private dataPersistence;
    private service;
    fetchAll$: Observable<any>;
    updateUserContracts$: Observable<any>;
    constructor(actions$: Actions, dataPersistence: DataPersistence<AppState>, service: ContractService);
    ofType(...types: string[]): Observable<ContractsActions>;
}
export {};
