import { Store } from '@ngrx/store';
import { Observable } from 'rxjs';
import { Usuario } from '../../usuarios/usuario.model';
import { Contract } from '../contract.model';
import { ContractsState } from './contracts.reducer';
export declare class ContractsFacade {
    private store;
    contracts$: Observable<Contract[]>;
    constructor(store: Store<ContractsState>);
    selectContracts(): Observable<Contract[]>;
    fetchAll(): void;
    insertUserContract(usuario: Usuario, ContractIds: string[]): void;
    removeUserContract(usuario: Usuario, ContractIds: string[]): void;
}
