import { EntityState } from '@ngrx/entity';
import { Contract } from '../contract.model';
import { ContractsActions } from './contracts.actions';
export interface ContractsState extends EntityState<Contract> {
}
export declare function selectContractsId(a: Contract): string;
export declare function ContractsReducer(state: ContractsState, action: ContractsActions): ContractsState;
export declare const selectContractsIds: (state: EntityState<Contract>) => string[] | number[];
export declare const selectContractsEntities: (state: EntityState<Contract>) => import("@ngrx/entity/src/models").Dictionary<Contract>;
export declare const selectAllContracts: (state: EntityState<Contract>) => Contract[];
export declare const selectContracts: (contractId: string) => (state: ContractsState) => Contract;
export declare const hasContracts: (contractId: string, contracts: Contract[]) => boolean;
export declare const filterContracts: () => void;
export declare const selectContractsState: import("@ngrx/store/src/selector").MemoizedSelector<object, ContractsState>;
