import { OnInit, EventEmitter } from '@angular/core';
import { Contract } from '../contract.model';
import { ContractsFacade } from '../state/contracts.facades';
export declare class SelectContractComponent implements OnInit {
    private contractFacade;
    contracts: Contract[];
    insert: EventEmitter<{}>;
    remove: EventEmitter<{}>;
    contractsList: Contract[];
    searchFilterString: string;
    selectedContracts: string[];
    selectedUsuarioContracts: string[];
    constructor(contractFacade: ContractsFacade);
    ngOnInit(): void;
    insertContract(contractIds: string[]): void;
    removeContract(contractIds: string[]): void;
}
