import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { FetchDataResponse } from '../response/response.model';
import { Host } from '../api/host';
import { Contract, UpdateUserContractRequest } from './contract.model';
export declare class ContractService {
    private http;
    private apiHost;
    constructor(http: HttpClient, apiHost: Host);
    fetchAll(): Observable<FetchDataResponse<Contract>>;
    updateUserContracts(request: UpdateUserContractRequest[]): Observable<any>;
}
