import { Actions } from '@ngrx/effects';
import { DataPersistence } from '@nrwl/nx';
import { Observable } from 'rxjs';
import { RolesActions } from './roles.actions';
import { RolesService } from '../roles.service';
import { RolesState } from './roles.reducer';
import { ToastrService } from 'ngx-toastr';
interface AppState {
    roles: RolesState;
}
export declare class RolesEffects {
    private actions$;
    private dataPersistence;
    private service;
    private toastr;
    loadPage$: Observable<any>;
    fetchRoleGroupsBySistema$: Observable<any>;
    updateUserRoles$: Observable<any>;
    constructor(actions$: Actions, dataPersistence: DataPersistence<AppState>, service: RolesService, toastr: ToastrService);
    ofType(...types: string[]): Observable<RolesActions>;
}
export {};
